Bug 17777 - part --asprimary 1 python error
part --asprimary 1 python error
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Florence Gold
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-21 16:02 EDT by Matt Domsch
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-06 11:45:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2000-09-21 16:02:37 EDT
Using Red Hat IA-64 09/21/00 CD

The --asprimary 1 flag to part generates this python error:
"partition command requires one anonymous argument"

                zerombr yes
                clearpart --all
                part /boot/efi --size 100       --ondisk sda --type 6
--asprimary 1
                part /         --size 512       --ondisk sda
                part /usr      --size 3072      --ondisk sda
                part swap      --size 512       --ondisk sda
                part /tmp      --size 256       --ondisk sda
                part /var      --size 256       --ondisk sda --grow
Comment 1 Michael Fulbright 2000-09-25 15:43:11 EDT
Do you have a newline between '--type 6' and '--asprimary' ?
Comment 2 Matt Domsch 2000-09-25 17:08:27 EDT
No, the above newline is a figment of the cut-n-paste.
Thanks!
Comment 3 Michael Fulbright 2000-09-29 12:19:13 EDT
Brent please verify.
Comment 4 Glen Foster 2001-01-11 16:03:05 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 5 Michael Fulbright 2001-02-01 18:55:42 EST
Sorry to take so long...

--asprimary does not take an argument, you would like to use --onprimary.

Note You need to log in before you can comment on or make changes to this bug.